getBlockProduction
POST
Returns recent block production information from the current or previous epoch.
param[0]
configurationObjectobjectrequired
commitmentstring
The commitment describes how finalized a block is at that point in time.- finalized - the node will query the most recent block confirmed by supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized
- confirmed - the node will query the most recent block that has been voted on by supermajority of the cluster.
- processed - the node will query its most recent block. Note that the block may still be skipped by the cluster.
identitystring
Only return results for this validator identity (base-58 encoded).rangeobject
Slot range to return block production for. If parameter not provided, defaults to current epoch.firstSlotintegerrequired
first slot to return block production information for (inclusive)lastSlotinteger
last slot to return block production information for (inclusive). If parameter not provided, defaults to the highest slotResponses
idinteger
The request IDjsonrpcstring
The JSON-RPC versionAn object containing metadata about the current state of the Solana network at the time of the request.
apiVersionstring
The API version used for the requestslotinteger
The slot number at which the request was evaluatedvalueinteger
The lamport balance of the accountcodestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "getBlockProduction","params": [{"commitment": "finalized","identity": "12i8gndWWWMTRzJBFhnYkobNgZB3XMUUJq75HeUrshrk","range": {"firstSlot": 363067597,"lastSlot": 364115359}}]}'